// ------------------------------------
// testestest.
// We are the test from the outerspace.
//

'use strict';

module.exports = SimpleHtdigest;

function SimpleHtdigest(passwordfile, realm, username, password, noSave) {

    var fs   = require('fs');
    var md5  = require('md5');
    var hash = md5(username + ':' + realm + ':' + password);
    var outputText;

    if(fs.existsSync(passwordfile)) {
        outputText = fs.readFileSync(passwordfile, 'utf-8');

        if(-1 < outputText.indexOf(username + ':' + realm)) {
            var regex = new RegExp(username + ':' + realm + '.*?\n');
            outputText.replace(regex, username + ':' + realm + ':' + hash + '\n');

        } else {
            outputText += username + ':' + realm + ':' + hash + '\n';
        }
    } else {
        outputText = username + ':' + realm + ':' + hash + '\n';
    }

    if(!noSave)
        fs.writeFileSync(passwordfile, outputText);

    return username + ':' + realm + ':' + hash + '\n';
}
